﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSliderCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public Dictionary<double, double> dict = new Dictionary<double, double>()
        {
            { -60, -120},
            { -55, -90},
            { -50, -60},
            { -45, -40},
            { -40, -30},
            { -30, -20},
            { -20, -15},
            { -10, -10},
            { 0, -5},
            { 10, 0},
            { 20, 8},
            { 30, 12},
        };

        public MainWindow()
        {
            InitializeComponent();  
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            double singleValueSliderValue = this.xamNumericSlider2.Thumb.Value;
            Console.WriteLine(singleValueSliderValue);
            double actualValue = dict[(double)singleValueSliderValue];
            Console.WriteLine("Actual value - " + actualValue.ToString());  
        }

    }
}
